> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/17.-requete-obtenir-les-soildatasets.md).

# 17. Requête : obtenir les « SoilDatasets »

Obtenir toutes les "SoilDatasets" pour le "Field" sélectionné. Les jeux de données peuvent être récupérés en utilisant des requêtes GraphQL génériques telles que `getFarms` et `getFields` depuis le "Field" lié.&#x20;

{% hint style="warning" %}
Un "SoilDataset" doit être téléversé au préalable.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #pattern "<OperationType> <YYYY-mm-DD>"
        operationId #si existe
        number #nombre total de géofeatures
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #détails complets par attribut
          name #lien vers les statistiques >> attribut
          transliteratedName
          fullName #si existe
          unit #si existe
        }

        createdDate #date et heure de création de l'entité dans GeoPard
        updatedDate #date et heure de la dernière mise à jour
        operationType
        operationId
        operationFileDate #date et heure de création du fichier
        operationStartDate #début de l'opération
        
        statistics { #distribution statistique pour chaque attribut de sol
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        nom  
        operationId #si existe 
        number #nombre total de géofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #lien vers les statistiques >> attribut
          transliteratedName
          fullName #si existe
          unit #si existe
        }
      
        createdDate #date de création dans GeoPard
        updatedDate #date de la dernière mise à jour dans GeoPard
        operationFileDate #date et heure de création du fichier (si existe)
        operationStartDate #début de l'opération (si existe)
      
        statistics { #distribution statistique pour chaque attribut de sol
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #représentation visuelle
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/17.-requete-obtenir-les-soildatasets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
